#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Ember.OrderedSet Class

Defined in: `packages/ember-metal/lib/map.js:55`
Module: ember-metal
Parent Module: ember

This class is used internally by Ember and Ember Data. Please do not use it at this time. We plan to clean it up and add many tests soon.

## Constructor

### `Ember.OrderedSet`

() private

Defined in `packages/ember-metal/lib/map.js:55`

- Index
- Methods

## Item Index

### Methods

- add
- clear
- copy
- create static
- delete
- forEach
- has
- isEmpty
- toArray

## Methods

### `add`

(

- `obj`
- `guid`

)
Ember.OrderedSet private

Defined in `packages/ember-metal/lib/map.js:98`

#### Parameters:

- `obj` Object
- `guid` Object

  (optional, and for internal use)

#### Returns:

Ember.OrderedSet:

### `clear`

() private

Defined in `packages/ember-metal/lib/map.js:88`

### `copy`

() Ember.OrderedSet private

Defined in `packages/ember-metal/lib/map.js:203`

#### Returns:

Ember.OrderedSet:

### `create`

() Ember.OrderedSet private static

Defined in `packages/ember-metal/lib/map.js:74`

#### Returns:

Ember.OrderedSet:

### `delete`

(

- `obj`
- `_guid`

)
Boolean private

Defined in `packages/ember-metal/lib/map.js:118`

Available since 1.8.0

#### Parameters:

- `obj` Object
- `_guid` Object

  (optional and for internal use only)

#### Returns:

Boolean:

### `forEach`

(

- `fn`
- `self`

)
private

Defined in `packages/ember-metal/lib/map.js:168`

#### Parameters:

- `fn` Function
- `self` Object

### `has`

(

- `obj`

)
Boolean private

Defined in `packages/ember-metal/lib/map.js:153`

#### Parameters:

- `obj` Object

#### Returns:

Boolean:

### `isEmpty`

() Boolean private

Defined in `packages/ember-metal/lib/map.js:144`

#### Returns:

Boolean:

### `toArray`

() Array private

Defined in `packages/ember-metal/lib/map.js:194`

#### Returns:

Array: